<div class="form-group">
  <h1 style="text-decoration: underline">Evaluation Record</h1>

  <h3>Year of Performance: {{this.pageService.currentRecord.year}}</h3>
  <div *ngIf="this.authorizationService.activeAccount.type != 'salesman'">
    <label for="bonus_modifier">Bonus Modifikator (in €): </label>
    <input name="bonus_modifier" class="form-control" id="bonus_modifier" [(ngModel)]="modifier" (change)="recalculateRecord()" #bonus_modifier>
  </div>

  <div style="display: inline-block;">
    <h2 style="text-decoration: underline">Attributes</h2>

    <div class="form-group">
      <label for="attitude">Attitude</label>
      <input type="text" class="form-control" id="attitude" #attitude
             required
             name="attitude" [(ngModel)]="this.pageService.currentRecord.attitude" (change)="recalculateRecord()">
    </div>
    <div class="form-group">
      <label for="integrity">Integrity</label>
      <input type="text" class="form-control" id="integrity" #integrity
             required
             name="integrity" [(ngModel)]="this.pageService.currentRecord.integrity" (change)="recalculateRecord()">
    </div>
    <div class="form-group">
      <label for="leadership">Leadership</label>
      <input type="text" class="form-control" id="leadership" #leadership
             required
             name="leadership" [(ngModel)]="this.pageService.currentRecord.leadership" (change)="recalculateRecord()">
    </div>
    <div class="form-group">
      <label for="communications">Communications</label>
      <input type="text" class="form-control" id="communications" #communications
             required
             name="communications" [(ngModel)]="this.pageService.currentRecord.communications" (change)="recalculateRecord()">
    </div>
    <div class="form-group">
      <label for="openness">Openness</label>
      <input type="text" class="form-control" id="openness" #openness
             required
             name="openness" [(ngModel)]="this.pageService.currentRecord.openness" (change)="recalculateRecord()">
    </div>
    <div class="form-group">
      <label for="social">Social</label>
      <input type="text" class="form-control" id="social" #social
             required
             name="social" [(ngModel)]="this.pageService.currentRecord.social" (change)="recalculateRecord()">
    </div>
    <div class="form-group">
      <label for="salesman_id">Salesman-ID</label>
      <input type="text" class="form-control" id="salesman_id" #salesman_id
             required
             name="salesman_id" [(ngModel)]="this.pageService.currentRecord.salesman_id" (change)="recalculateRecord()">
    </div>
  </div>

  <div class="bonus-dialog" style="display: inline-block; vertical-align: top;">
    <h2 style="text-decoration: underline">Individual Bonus</h2>
    <div class="form-group">
      <label for="attitude_bonus">Betrag in €</label>
      <input type="number" class="form-control" id="attitude_bonus" #attitude_bonus
             required
             name="attitude" [(ngModel)]="this.pageService.currentRecord.attitude_bonus" (ngModelChange)="this.pageService.setSocialPerformanceBonus()">

    </div>
    <div class="form-group">
      <label for="integrity_bonus">Betrag in €</label>
      <input type="number" class="form-control" id="integrity_bonus" #integrity_bonus
             required
             name="integrity" [(ngModel)]="this.pageService.currentRecord.integrity_bonus" (ngModelChange)="this.pageService.setSocialPerformanceBonus()">
    </div>
    <div class="form-group">
      <label for="leadership_bonus">Betrag in €</label>
      <input type="number" class="form-control" id="leadership_bonus" #leadership_bonus
             required
             name="leadership" [(ngModel)]="this.pageService.currentRecord.leadership_bonus" (ngModelChange)="this.pageService.setSocialPerformanceBonus()">
    </div>
    <div class="form-group">
      <label for="communications_bonus">Betrag in €</label>
      <input type="number" class="form-control" id="communications_bonus" #communications_bonus
             required
             name="communications" [(ngModel)]="this.pageService.currentRecord.communications_bonus" (ngModelChange)="this.pageService.setSocialPerformanceBonus()">
    </div>
    <div class="form-group">
      <label for="openness_bonus">Betrag in €</label>
      <input type="number" class="form-control" id="openness_bonus" #openness_bonus
             required
             name="openness" [(ngModel)]="this.pageService.currentRecord.openness_bonus" (ngModelChange)="this.pageService.setSocialPerformanceBonus()">
    </div>
    <div class="form-group">
      <label for="social_bonus">Betrag in €</label>
      <input type="number" class="form-control" id="social_bonus" #social_bonus
             required
             name="social" [(ngModel)]="this.pageService.currentRecord.social_bonus" (ngModelChange)="this.pageService.setSocialPerformanceBonus()">
    </div>

    <br>
    <div *ngIf="this.authorizationService.activeAccount.type == 'ceo' || this.authorizationService.activeAccount.type == 'hr'">
      <button style="display: inline-block;" type="button" class="btn btn-default" (click)="this.restService.createRecord()" *ngIf="this.pageService.isCurrentRecordEmpty() && !this.pageService.isCurrentEmployeeEmpty()">Create</button>
      <button style="display: inline-block;margin-left: 1em;" type="button" class="btn btn-default" (click)="this.restService.updateRecord()" *ngIf="!this.pageService.isCurrentRecordEmpty()">Update</button>
    </div>
  </div>

</div>
